--[[
AdiBags - Dragonflight - Localization
by Zottelchen
version: 2.0.0
This file contains translations for this filter.
]]
local addonName, addon = ...

--<GLOBALS
local _G = _G
local GetLocale = _G.GetLocale
local pairs = _G.pairs
local rawset = _G.rawset
local setmetatable = _G.setmetatable
local tostring = _G.tostring
--GLOBALS>

local L = setmetatable({}, {
  __index = function(self, key)
    if key ~= nil then
      rawset(self, key, tostring(key))
    end
    return tostring(key)
  end,
})
addon.L = L

L["AdiBags never intended to use icons, so they are glitchy. Make sure to disable prefix color, if you use an icon."] =
  true
L["Colored Categories"] = true
L["Colored Prefix"] = true
L["Custom Prefix"] = true
L["Enter a custom prefix for the categories."] = true
L["Filter version"] = true
L["General Settings"] = true
L["If you overwrite prefix or categorie color, you either need to toggle the color setting twice or reload."] = true
L["None"] = true
L["Prefix Categories"] = true
L["Prefix Color"] = true
L["Select a color for the prefix."] = true
L["Select a prefix for the categories, if you like."] = true
L["Settings affecting all categories."] = true
L["Should Categories be colored?"] = true
L["Should the prefix be colored to the filter color? (Only works for text-prefixes, for obvious reasons.)"] = true
L["These settings affect all categories of this filter."] = true
--
L["%sMerge %s%s"] = true
L["Alchemy Flasks"] = true
L["Awakened Elementals"] = true
L["Awakened and Rousing Elemental Trade Goods"] = true
L["Cloth"] = true
L["Color"] = true
L["Consumables"] = true
L["Contains Items which can be directly traded in for reputation/renown, as well as items needed for Wrathion & Sabellian"] =
  true
L["Cooking"] = true
L["Crafting Potions"] = true
L["Crafting Reagents categorically belonging to Alchemy"] = true
L["Crafting Reagents categorically belonging to Cloth"] = true
L["Crafting Reagents categorically belonging to Cooking"] = true
L["Crafting Reagents categorically belonging to Enchanting"] = true
L["Crafting Reagents categorically belonging to Engineering"] = true
L["Crafting Reagents categorically belonging to Herbs"] = true
L["Crafting Reagents categorically belonging to Inscription"] = true
L["Crafting Reagents categorically belonging to Jewelcrafting"] = true
L["Crafting Reagents categorically belonging to Leather"] = true
L["Crafting Reagents categorically belonging to Mining"] = true
L["Currency-like items dropped in the Dragonflight Pre-Patch Event"] = true
L["Darkmoon Cards"] = true
L["Dragonflight"] = true
L["Drakewatcher Manuscripts"] = true
L["Drakewatcher Manuscripts for learning new customizations for your Dragonriding mounts"] = true
L["Elemental Trade Goods"] = true
L["Enchanting"] = true
L["Engineering"] = true
L["Food"] = true
L["Food added in the Dragonflight expansion"] = true
L["Fortune Cards"] = true
L["Gear dropped or bought in the Dragonflight Pre-Patch Event"] = true
L["General Crafting Reagents"] = true
L["General Crafting Reagents, used by multiple professions"] = true
L["General Profession Items"] = true
L["Herbs"] = true
L["Inscription"] = true
L["Items from the Dragonflight Pre-Event."] = true
L["Items from the Dragonflight expansion."] = true
L["Items in professions"] = true
L["Items that provide profession knowledge"] = true
L["Items which are used in multiple professions."] = true
L["Items you can eat or use to improve yourself"] = true
L["Jewelcrafting"] = true
L["Leather"] = true
L["Maps to Treasure found in the Dragon Isles"] = true
L["Merge all %s into a single category."] = true
L["Mining"] = true
L["Other Items"] = true
L["Other items not really fitting in another category."] = true
L["Potions & Elixirs"] = true
L["Potions added in the Dragonflight expansion"] = true
L["Potions which improve crafting"] = true
L["PreEvent"] = true
L["PreEvent Currency"] = true
L["PreEvent Gear"] = true
L["Profession Gear"] = true
L["Profession Knowledge"] = true
L["Professions"] = true
L["Reputation Items"] = true
L["Rousing Elementals"] = true
L["Select a color for %s."] = true
L["Select a color for the merged %s category."] = true
L["Specialized gear which improves your profession"] = true
L["Treasure Maps"] = true
L["Treasure Sacks"] = true
L["Treasure Sacks given by the Great Swog, Saviour of all Dragonkind."] = true

local locale = GetLocale()
if locale == "frFR" then
  
elseif locale == "deDE" then
  
elseif locale == "ruRU" then
  
elseif locale == "esES" then
  
elseif locale == "zhTW" then
  
elseif locale == "zhCN" then
  
elseif locale == "koKR" then
  
elseif locale == "ptBR" then
  
elseif locale == "itIT" then
  
end

for k, v in pairs(L) do
  if v == true then
    L[k] = k
  end
end
